## com.lowagie.text.rtf
Interface RtfField

All Known Implementing Classes:
  AbstractRtfField, GenericRtfField, RtfPageNumber, RtfTOC, RtfTOCEntry

public interface RtfField

This interface should mark classes, that can be represented as RTF fields, such as pagenumber, toc entries and so on. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.17 $Date: 2004/12/14 15:14:44 $
Author:
  Steffen.Stundzig@smb-tec.com

Method Summary
`void` `write(RtfWriter writer, OutputStream out)` Writes an RTF field.

Method Detail

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  Writes an RTF field.

  Parameters:
    `writer` -
    `out` -
  Throws:
    `IOException`